@charset "utf-8";

/*
 * File       : common.css
 * Author     : YONG
 *
 * 최종수정일 : 26/00/00
 *
 * SUMMARY:
 * 통합.CSS
 */

/* =========================================
    전역 변수 (사이트마다 여기 컬러값만 변경!)
   ========================================= */
:root {
    --color-main: #FFE6E6;
    --color-sub: #6c757d;
}

/* 1. 사이트 유동 컬러 (변수 사용) */
.txt-main {
    color: var(--color-main) !important;
}

.txt-sub {
    color: var(--color-sub) !important;
}

/* 2. 고정 컬러 */
.txt-red {
    color: #ed3722 !important;
}

.txt-gray {
    color: #777777 !important;
}

/* 3. 배경색 */
.bg-main {
    background-color: var(--color-main) !important;
}

.bg-sub {
    background-color: var(--color-sub) !important;
}

.bg-red {
    background-color: #ed3722 !important;
}

.bg-gray {
    background-color: #777777 !important;
}

/* =========================================
    유틸리티
   ========================================= */
.mw-1200 {
    max-width: 1200px;
}

.blind {
    position: absolute;
    clip: rect(0 0 0 0);
    width: 1px;
    height: 1px;
    margin: -1px;
    overflow: hidden;
}

.hide {
    font-size: 0.5rem;
    color: #fff;
}

.pc-br {
    display: block;
}

.m-br {
    display: none;
}

.mb-1 {
    margin-bottom: 1rem;
}

/* 
■■■■■■■■■■■■■■■■■■■■■
■■■■■■■■ PC ■■■■■■■■
■■■■■■■■■■■■■■■■■■■■■
*/

.header {
    width: 100%;
    height: 80px;
    display: flex;
    justify-content: center;
    border-bottom: 1px solid #ccc;
}

.header>.inner {
    width: 100%;
    height: auto;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.logo img {
    width: 160px;
    height: auto;
    object-fit: contain;
}

.call {
    display: flex;
    align-items: center;
    gap: 10px;
}

.call img {
    width: 40px;
    height: auto;
    object-fit: contain;
}

.call .txt>span,
.call .txt>p {
    font-size: 0.9rem;
    font-weight: 600;
    line-height: normal;
}

/*  */
.m__menu {
    width: 24px;
    height: 20px;
    display: none;
}

.m__menu ul {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    position: relative;
}

.m__menu ul li {
    width: 100%;
    height: 3px;
    background-color: #444;
    border-radius: 2rem;
    transition: all 0.3s ease;
    position: absolute;
}

.m__menu ul li:nth-of-type(1) {
    width: 100%;
    background-color: #444;
    top: 0px;
    right: 0px;
    -webkit-transform-origin: left center;
    -moz-transform-origin: left center;
    -o-transform-origin: left center;
    transform-origin: left center;
}

.m__menu ul li:nth-of-type(2) {
    background-color: #444;
    top: 8px;
    -webkit-transform-origin: left center;
    -moz-transform-origin: left center;
    -o-transform-origin: left center;
    transform-origin: left center;
}

.m__menu ul li:nth-of-type(3) {
    background-color: #444;
    top: 16px;
    -webkit-transform-origin: left center;
    -moz-transform-origin: left center;
    -o-transform-origin: left center;
    transform-origin: left center;
}

/*  */
.nav {
    width: 100%;
    height: auto;
    display: flex;
    justify-content: center;
    border-bottom: 1px solid #ccc;
}

.nav>ul {
    width: 100%;
    height: auto;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.nav>ul>li {
    width: 100%;
    height: auto;
    position: relative;
}

.nav>ul>li>a {
    width: 100%;
    height: 50px;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 1rem;
    font-weight: 500;
}

.drop__nav {
    width: 100%;
    height: auto;
    display: none;
    position: absolute;
    top: 100%;
    left: 0;
    background-color: #fff;
    border: 1px solid #ccc;
    z-index: 97;
}

@media (hover: hover) and (pointer: fine) {
    .nav>ul>li:hover>.drop__nav {
        display: block;
    }
}

.drop__nav>li {
    width: 100%;
    height: auto;
}

.drop__nav>li>a {
    width: 100%;
    height: auto;
    display: flex;
    justify-content: center;
    font-size: 1rem;
    font-weight: 500;
    padding: 10px;
}

.drop__nav>li>a:hover {
    background-color: #f3f3f3;
}

/* 웹킷 기반 브라우저 */
.modal__scrollbar ::-webkit-scrollbar {
    width: 6px;
}

.modal__scrollbar ::-webkit-scrollbar-track {
    background: #f1f1f1;
    border-radius: 6px;
}

.modal__scrollbar ::-webkit-scrollbar-thumb {
    background: #888;
    border-radius: 6px;
}

.modal__scrollbar ::-webkit-scrollbar-thumb:hover {
    background: #555;
}

/*  */
.notice__modal {
    width: 100%;
    height: 100%;
    position: fixed;
    top: 0;
    left: 0;
    display: none;
    justify-content: center;
    align-items: center;
    z-index: 999;
    background-color: rgba(0, 0, 0, 70%);
}

.notice__modal.active {
    display: flex;
}

.notice__modal>.inner {
    width: 50%;
    height: 80%;
    background-color: #fff;
    border-radius: 0.5rem;
    padding: 4rem 1rem 2rem 2rem;
    position: relative;
}

.notice__close {
    width: 22px;
    height: 22px;
    display: flex;
    position: absolute;
    top: 1.5rem;
    right: 1.5rem;
    cursor: pointer;
}

.notice__close img {
    width: 100%;
    height: 100%;
}

.notice__txt {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
    line-height: normal;
    overflow-y: auto;
    padding-right: 1rem;
}

.notice__txt .box>h4 {
    font-size: 1rem;
    font-weight: 700;
    margin-bottom: 10px;
}

.notice__txt .box>ul {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.notice__txt .box>ul>li {
    font-size: 0.9rem;
    text-indent: -10px;
    padding-left: 10px;
}

.notice__txt .box>h5 {
    font-size: 1rem;
    margin-bottom: 10px;
}

.notice__txt .box>p {
    font-size: 0.9rem;
    color: #444;
}

/*  */
.footer {
    width: 100%;
    height: auto;
    display: flex;
    justify-content: center;
    background-color: #F9F9F9;
    padding: 2rem 0;
}

.footer>.inner {
    width: 100%;
    height: auto;
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.footer>.inner>ul>li {
    font-size: 0.9rem;
}

@media screen and (min-width: 768px) and (max-width: 1200px) {

    /* 
    ■■■■■■■■■■■■■■■■■■■■■
    ■■■■■■■■ 태블릿 ■■■■■■■■
    ■■■■■■■■■■■■■■■■■■■■■
    */

    .header {
        padding: 0 1rem;
    }

    .call {
        display: none;
    }

    /*  */
    .m__menu {
        display: block;
    }

    /*  */
    .nav {
        width: 100%;
        height: auto;
        display: none;
        position: absolute;
        top: 80px;
        left: 0;
        background-color: #fff;
        padding: 2rem;
        z-index: 97;
    }

    .nav.active {
        display: block;
    }

    .nav>ul {
        flex-direction: column;
        align-items: flex-start;
        gap: 2rem;
    }

    .nav>ul>li {
        width: fit-content;
    }

    .nav>ul>li>a {
        width: fit-content;
        height: auto;
        font-size: 1.1rem;
        font-weight: 700;
    }

    /*  */
    .drop__nav {
        width: fit-content;
        display: flex;
        flex-direction: column;
        gap: 10px;
        position: static;
        border: none;
        margin-top: 10px;
    }

    .drop__nav>li>a {
        justify-content: flex-start;
        font-size: 1.1rem;
        color: #595959;
        padding: 0;
    }

     /*  */
     .footer {
        padding: 2rem 1rem;
    }
}






@media screen and (max-width: 767px) {

    /* 
    ■■■■■■■■■■■■■■■■■■■■■
    ■■■■■■■■ 모바일 ■■■■■■■■
    ■■■■■■■■■■■■■■■■■■■■■
    */

    .header {
        height: 70px;
        padding: 0 1rem;
    }

    .logo img {
        width: 150px;
    }

    .call {
        display: none;
    }

    /*  */
    .m__menu {
        display: block;
    }

    /*  */
    .nav {
        width: 100%;
        height: auto;
        display: none;
        position: absolute;
        top: 70px;
        left: 0;
        background-color: #fff;
        padding: 2rem;
        z-index: 97;
    }

    .nav.active {
        display: block;
    }

    .nav>ul {
        flex-direction: column;
        align-items: flex-start;
        gap: 1.5rem;
    }

    .nav>ul>li {
        width: fit-content;
    }

    .nav>ul>li>a {
        width: fit-content;
        height: auto;
        font-size: 1rem;
        font-weight: 700;
    }

    /*  */
    .drop__nav {
        width: fit-content;
        display: flex;
        flex-direction: column;
        gap: 10px;
        position: static;
        border: none;
        margin-top: 10px;
    }

    .drop__nav>li>a {
        justify-content: flex-start;
        font-size: 1rem;
        color: #595959;
        padding: 0;
    }

    /*  */
    .footer {
        padding: 2rem 1rem;
    }

}